Page MenuHomePhabricator

Polish script that checks eventlogging lag to use it for alarming
Closed, DeclinedPublic

Description

Polish script that checks eventlogging lag to use it for alarming

Event Timeline

Nuria created this task.Jan 21 2016, 5:20 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a project: Analytics-Kanban.
Nuria added subscribers: Nuria, Ottomata, DBA, elukey.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 21 2016, 5:20 PM
Nuria closed this task as Resolved.Jan 21 2016, 5:23 PM
Nuria set Security to None.
Nuria reopened this task as Open.Jan 21 2016, 6:10 PM
Milimetric assigned this task to elukey.Jan 21 2016, 6:14 PM

I took a look to the script and it would be really great to push metrics to statsd about the lag observed for each table. After that alarming with graphite/icinga should be super easy.

The new metrics would be added in https://grafana.wikimedia.org/dashboard/db/eventlogging

Reedy renamed this task from Polish script that checks eventlogging lag to use it for alarming to Polish script that checks eventlogging lag to use it for alarming .Jan 22 2016, 1:37 PM
elukey moved this task from Next Up to In Progress on the Analytics-Kanban board.Jan 22 2016, 5:16 PM
This comment was removed by elukey.
elukey edited projects, added Analytics; removed Analytics-Kanban.Feb 11 2016, 5:17 PM
Milimetric triaged this task as Normal priority.Feb 11 2016, 6:03 PM
Milimetric moved this task from Incoming to Modern Event Platform on the Analytics board.
elukey removed elukey as the assignee of this task.Apr 19 2016, 10:27 AM
Milimetric closed this task as Declined.Nov 7 2016, 5:02 PM
Milimetric added a subscriber: Milimetric.

We postponed this too far, we're likely to change how people look at EL data before we get to this improvement.